(************************************************************************
 *                                                                      *
 *   Ant Access Viewer                                                  *
 *   (C) 2002 Antoine Potten                                            *
 *   software@antp.be - http://www.antp.be/software                     *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   This program is free software; you can redistribute it and/or      *
 *   modify it under the terms of the GNU General Public License        *
 *   as published by the Free Software Foundation; either version 2     *
 *   of the License, or (at your option) any later version.             *
 *                                                                      *
 *   This program is distributed in the hope that it will be useful,    *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of     *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *   GNU General Public License for more details.                       *
 *                                                                      *
 ************************************************************************)

unit ConstValues;

interface

uses
  Dialogs, SysUtils;

const

  strVersion          = '1.1.3';
  strDate             = '(2008-05-09)';

const

  // Dialogs
  DialogDatabaseFilter       = 'Microsoft Access Databases (*.mdb)|*.mdb';
  DialogSaveFilter            = 'Tab-delimited text|*.csv;*.txt|CSV text|*.csv;*.txt|ADO XML|*.xml';

  DialogOpenOptions = [ofHideReadOnly,ofPathMustExist,ofFileMustExist,ofEnableSizing];
  DialogSaveOptions = [ofOverwritePrompt,ofHideReadOnly,ofPathMustExist,ofNoReadOnlyReturn,ofEnableSizing];

  ConnectionString = 'Provider=Microsoft.Jet.OLEDB.4.0;Data Source=%s;Persist Security Info=False';

var

  strDirApp: string;

implementation

initialization
  strDirApp := ExtractFilePath(ParamStr(0));
end.
