(************************************************************************
 *                                                                      *
 *   Ant Access Viewer                                                  *
 *   (C) 2002-2005 Antoine Potten                                       *
 *   software@antp.be - http://www.antp.be/software                     *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   This program is free software; you can redistribute it and/or      *
 *   modify it under the terms of the GNU General Public License        *
 *   as published by the Free Software Foundation; either version 2     *
 *   of the License, or (at your option) any later version.             *
 *                                                                      *
 *   This program is distributed in the hope that it will be useful,    *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of     *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *   GNU General Public License for more details.                       *
 *                                                                      *
 ************************************************************************)

unit fAbout;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, base, StdCtrls, ComCtrls, ExtCtrls, AntCorelButton,
  AntAutoHintLabel;

type
  TAboutForm = class(TBaseDlg)
    Panel1: TPanel;
    Image1: TImage;
    lblTitle: TLabel;
    lblVersion: TLabel;
    Label1: TLabel;
    JvHotLink1: TLabel;
    JvHotLink2: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure JvHotLink3Click(Sender: TObject);
  private
  public
  end;

var
  AboutForm: TAboutForm;

implementation

uses
  functions_files,
  ConstValues;

{$R *.dfm}

procedure TAboutForm.FormCreate(Sender: TObject);
begin
  lblVersion.Caption := Format('Version %s %s', [strVersion, strDate]);
  inherited;
end;

procedure TAboutForm.JvHotLink3Click(Sender: TObject);
begin
  if Sender is TLabel then
  begin
    LaunchProg('http://' + TLabel(Sender).Caption);
  end;
end;

end.
